| Home · All Classes · All Namespaces · Modules · Functions · Files

# StringStringMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- StringStringMap ()
- StringStringMap (const QMap< QString, QString > &a)
- StringStringMap & operator= (const QMap< QString, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QString>, but needed to have a discrete type in the Qt4 type system.

A mapping from strings to strings representing extra key-value pairs.

## Constructor & Destructor Documentation

StringStringMap | ( |  | ) | `[inline]`

StringStringMap | ( | const QMap< QString, QString > & | a | ) | `[inline]`

## Member Function Documentation

StringStringMap& operator= | ( | const QMap< QString, QString > & | a | ) | `[inline]`